<?php
namespace Zeedhi\Translate\Exception;

class AccessException extends \Exception{

    public static function userNotFound(){
        return new static ("Email/User not found.");
    }

    public static function failOnConfigSession(){
        return new static ("Fail on config session.");
    }

    public static function clientNotRegister(){
        return new static ("The client informed is not register on services.");
    }

    public static function errorToRequestDataFromIdentity(){
        return new static("Occurred a error on request of user data from Identity");
    }
}